
.. _program_listing_file_inc_versioninfo_structs.h:

Program Listing for File versioninfo_structs.h
==============================================

|exhale_lsh| :ref:`Return to documentation for file <file_inc_versioninfo_structs.h>` (``inc/versioninfo_structs.h``)

.. |exhale_lsh| unicode:: U+021B0 .. UPWARDS ARROW WITH TIP LEFTWARDS

.. code-block:: cpp

   // SPDX-FileCopyrightText: 2025 Carl Zeiss Microscopy GmbH
   //
   // SPDX-License-Identifier: MIT
   
   #pragma once
   
   #include <cstdint>
   
   #pragma pack(push, 4)
   
   struct LibCZIVersionInfoInterop
   {
       int32_t major;  
       int32_t minor;  
       int32_t patch;  
       int32_t tweak;  
   };
   
   struct LibCZIBuildInformationInterop
   {
       char* compilerIdentification; 
       char* repositoryUrl;          
       char* repositoryBranch;       
       char* repositoryTag;          
   };
   
   #pragma pack(pop)
